import logging
from experiment import ExperimentDaemon, Experiment, ExperimentDebug, ExperimentShell
import sys,argparse, os

def getparser():
        parser = argparse.ArgumentParser(description='run TIBER instance')
        parser.add_argument('-c','--conf',dest='conf_file', type=str, default=None,
                            help='configuration_file for the experiment')
        parser.add_argument('--start', dest='start', action='store_true', default=False,
                    help='start valeriovive ')
        parser.add_argument('--restart', dest='restart', action='store_true',default=False,
                    help='restart valeriovive ')
        parser.add_argument('--stop', dest='stop', action='store_true',default=False,
                    help='stop valeriovive ')
        parser.add_argument('--oneshot', dest='oneshot', action='store_true',default=False,
                    help='do one shot twitter action ')
        parser.add_argument('--debug', dest='debug', action='store_true',default=False,
                    help='get object in ipython console')
        parser.add_argument('--remove-friends', dest='remove_friends', action='store_true',default=False,
                    help='remove all following accounts')
        parser.add_argument('--shell', dest='shell', action='store_true',default=False,
                    help='open a shell')
        return parser.parse_args()


if __name__ == "__main__":
    logging_path=os.path.join(os.getcwd(),'valeriovive/logging.ini')
    logging.config.fileConfig(logging_path)
    args = getparser()
    if args.debug or args.oneshot:
        exp=ExperimentDebug(args)
    elif args.shell:
        print("entering shell!")
        exp=ExperimentShell()
    elif args.start:
        exp=ExperimentDaemon("/tmp/valeriovive.pid", args)
        exp.start()
        sys.exit(0)
    elif args.restart:
        exp=ExperimentDaemon("/tmp/valeriovive.pid", args)
        exp.restart()
        sys.exit(0)
    elif args.stop:
        exp=ExperimentDaemon("/tmp/valeriovive.pid", args)
        exp.stop()
        sys.exit(0)
    else:
        print ("usage: %s start|stop|restart" % sys.argv[0])
        sys.exit(2)



